[Install]
model = Panasonic UF-7100
Network = 1
USB = 1
Parallel = 0

[PrinterVersion]
2K=DHMD2K.VER
AMD64=DHMD36.VER

[Main]
ModelName=UF-7100 PCL6
SeriesName=Panasonic WORKiO UF-8100/7100 Series
NumDrivers=1
Driver1=PrinterDriver1
HarwareID=USBPRINT\PanasonicUF-71000271
;OEMURL=
USBID=VID_04DA&PID_3A01
USBPRINT=PanasonicUF-7100
LPTPRINT=PanasonicUF-71000271

;***********************************************************************
;UF-7100 PCL6
;***********************************************************************
[PrinterDriver1]
PrinterDriverName=Panasonic UF-7100 Ver. 2 PCL6
;LanguageMonitorName=
;PortMonitorName=RPT Network Printer Port
DefaultPrinter=no
SupportOS=2000,AMD64
DefaultSharedName=DP7100PCL6

;***********************************************************************
;UF-7100 PCL6 2K
;***********************************************************************
[PrinterDriver1.2000.Install]
DataType=RAW
Driver=D0MDGC2K.DLL
ConfigurationFile=D0MDUC2K.DLL
DataFile=DHMD.SPC
DependentFiles=D0MDDI32.dll,D0MDEM.DLL,D0MDEM.EXE,D0MDGC2K.dll,D0MDPRDF.DAT,D0MDPRO.DAT,D0MDRC32.DLL,D0MDSP.DLL,D0MDUC2K.dll,D0MDUI2K.DLL,D0ZDWJ.INI,ZAZDAC32.dll,ZAZDDC32.dll,ZAZDDF32.EXE,ZAZDDM32.dll,ZAZDHL.chm,ZAZDIW32.exe,ZAZDPC32.dll,ZAZDWJ32.dll,ZAZDWM.PWM,DHMD.spc,DHMD2K.VER
HelpFile=ZAZDHL.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP7100.INF
BiDirectional=Always

[PrinterDriver1.2000.Uninstall]
DeleteFile001=D0MDDI32.dll,WINPRNDRV,NOT_SHARED
DeleteFile002=D0MDEM.DLL,WINPRNDRV,NOT_SHARED
DeleteFile003=D0MDEM.EXE,WINPRNDRV,NOT_SHARED
DeleteFile004=D0MDGC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile005=D0MDPRDF.DAT,WINPRNDRV,NOT_SHARED
DeleteFile006=D0MDPRO.DAT,WINPRNDRV,NOT_SHARED
DeleteFile007=D0MDRC32.DLL,WINPRNDRV,NOT_SHARED
DeleteFile008=D0MDSP.DLL,WINPRNDRV,NOT_SHARED
DeleteFile009=D0MDUC2K.dll,WINPRNDRV,NOT_SHARED
DeleteFile010=D0MDUI2K.DLL,WINPRNDRV,NOT_SHARED
DeleteFile011=D0ZDWJ.INI,WINPRNDRV,NOT_SHARED
DeleteFile012=ZAZDAC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile013=ZAZDDC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile014=ZAZDDF32.EXE,WINPRNDRV,NOT_SHARED
DeleteFile015=ZAZDDM32.dll,WINPRNDRV,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRV,NOT_SHARED
DeleteFile017=ZAZDIW32.exe,WINPRNDRV,NOT_SHARED
DeleteFile018=ZAZDPC32.dll,WINPRNDRV,NOT_SHARED
DeleteFile019=ZAZDWJ32.dll,WINPRNDRV,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRV,NOT_SHARED
DeleteFile021=DHMD.spc,WINPRNDRV,NOT_SHARED
DeleteFile022=DHMD2K.VER,WINPRNDRV,NOT_SHARED
DeleteFile023=STUP7100.INF,WININF_OTHER,NOT_SHARED
DeleteFile024=D0MDDI32.dll,WINPRNDRV3,SHARED
DeleteFile025=D0MDEM.DLL,WINPRNDRV3,SHARED
DeleteFile026=D0MDEM.EXE,WINPRNDRV3,SHARED
DeleteFile027=D0MDGC2K.dll,WINPRNDRV3,SHARED
DeleteFile028=D0MDPRDF.DAT,WINPRNDRV3,SHARED
DeleteFile029=D0MDPRO.DAT,WINPRNDRV3,SHARED
DeleteFile030=D0MDRC32.DLL,WINPRNDRV3,SHARED
DeleteFile031=D0MDSP.DLL,WINPRNDRV3,SHARED
DeleteFile032=D0MDUC2K.dll,WINPRNDRV3,SHARED
DeleteFile033=D0MDUI2K.DLL,WINPRNDRV3,SHARED
DeleteFile034=D0ZDWJ.INI,WINPRNDRV3,SHARED
DeleteFile035=ZAZDAC32.dll,WINPRNDRV3,SHARED
DeleteFile036=ZAZDDC32.dll,WINPRNDRV3,SHARED
DeleteFile037=ZAZDDF32.EXE,WINPRNDRV3,SHARED
DeleteFile038=ZAZDDM32.dll,WINPRNDRV3,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRV3,SHARED
DeleteFile040=ZAZDIW32.exe,WINPRNDRV3,SHARED
DeleteFile041=ZAZDPC32.dll,WINPRNDRV3,SHARED
DeleteFile042=ZAZDWJ32.dll,WINPRNDRV3,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRV3,SHARED
DeleteFile044=DHMD.spc,WINPRNDRV3,NOT_SHARED
DeleteFile045=DHMD2K.VER,WINPRNDRV3,NOT_SHARED
DeleteFile046=STUP7100.INF,WININF_OTHER,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-7100 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-71000271,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A01,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicUF-7100,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows NT x86\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-7100 Ver. 2 PCL6


;***********************************************************************
;UF-7100 PCL6 AMD64
;***********************************************************************
[PrinterDriver1.AMD64.Install]
DataType=RAW
Driver=D0MDGC36.DLL
ConfigurationFile=D0MDUC36.DLL
DataFile=DHMD.SPC
DependentFiles=D0MDDIA6.DLL,D0MDEMA6.DLL,D0MDEMA6.EXE,D0MDGC36.DLL,D0MDPRDF.DAT,D0MDPRO.DAT,D0MDRCA6.DLL,D0MDSPA6.DLL,D0MDUC36.DLL,D0MDUI36.DLL,D0ZDWJ.INI,ZAZDACA6.DLL,ZAZDDCA6.DLL,ZAZDDFA6.EXE,ZAZDDMA6.DLL,ZAZDHL.chm,ZAZDIWA6.EXE,ZAZDPCA6.DLL,ZAZDWJA6.DLL,ZAZDWM.PWM,DHMD.SPC,DHMD36.VER
HelpFile=ZAZDHL.CHM
;LanguageMonitorFile=
;PortMonitorFile=
InfFile=STUP7100.INF
BiDirectional=Always

[PrinterDriver1.AMD64.Uninstall]
DeleteFile001=D0MDDIA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile002=D0MDEMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile003=D0MDEMA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile004=D0MDGC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile005=D0MDPRDF.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile006=D0MDPRO.DAT,WINPRNDRVX64,NOT_SHARED
DeleteFile007=D0MDRCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile008=D0MDSPA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile009=D0MDUC36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile010=D0MDUI36.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile011=D0ZDWJ.INI,WINPRNDRVX64,NOT_SHARED
DeleteFile012=ZAZDACA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile013=ZAZDDCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile014=ZAZDDFA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile015=ZAZDDMA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile016=ZAZDHL.chm,WINPRNDRVX64,NOT_SHARED
DeleteFile017=ZAZDIWA6.EXE,WINPRNDRVX64,NOT_SHARED
DeleteFile018=ZAZDPCA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile019=ZAZDWJA6.DLL,WINPRNDRVX64,NOT_SHARED
DeleteFile020=ZAZDWM.PWM,WINPRNDRVX64,NOT_SHARED
DeleteFile021=DHMD.SPC,WINPRNDRVX64,NOT_SHARED
DeleteFile022=DHMD36.VER,WINPRNDRVX64,NOT_SHARED
DeleteFile023=STUP7100.INF,WININF_OTHER,NOT_SHARED
DeleteFile024=D0MDDIA6.DLL,WINPRNDRVX643,SHARED
DeleteFile025=D0MDEMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile026=D0MDEMA6.EXE,WINPRNDRVX643,SHARED
DeleteFile027=D0MDGC36.DLL,WINPRNDRVX643,SHARED
DeleteFile028=D0MDPRDF.DAT,WINPRNDRVX643,SHARED
DeleteFile029=D0MDPRO.DAT,WINPRNDRVX643,SHARED
DeleteFile030=D0MDRCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile031=D0MDSPA6.DLL,WINPRNDRVX643,SHARED
DeleteFile032=D0MDUC36.DLL,WINPRNDRVX643,SHARED
DeleteFile033=D0MDUI36.DLL,WINPRNDRVX643,SHARED
DeleteFile034=D0ZDWJ.INI,WINPRNDRVX643,SHARED
DeleteFile035=ZAZDACA6.DLL,WINPRNDRVX643,SHARED
DeleteFile036=ZAZDDCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile037=ZAZDDFA6.EXE,WINPRNDRVX643,SHARED
DeleteFile038=ZAZDDMA6.DLL,WINPRNDRVX643,SHARED
DeleteFile039=ZAZDHL.chm,WINPRNDRVX643,SHARED
DeleteFile040=ZAZDIWA6.EXE,WINPRNDRVX643,SHARED
DeleteFile041=ZAZDPCA6.DLL,WINPRNDRVX643,SHARED
DeleteFile042=ZAZDWJA6.DLL,WINPRNDRVX643,SHARED
DeleteFile043=ZAZDWM.PWM,WINPRNDRVX643,SHARED
DeleteFile044=DHMD.SPC,WINPRNDRVX643,NOT_SHARED
DeleteFile045=DHMD36.VER,WINPRNDRVX643,NOT_SHARED
DeleteFile046=STUP7100.INF,WININF_OTHER,NOT_SHARED


DeleteINFKey1=Panasonic
DeleteINFKey2=Panasonic UF-7100 Ver. 2 PCL6

DeleteRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\LPTENUM,PanasonicUF-71000271,Blocked,NoSubKey
DeleteRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USB,VID_04DA&PID_3A01,Blocked,NoSubKey
DeleteRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Enum\USBPRINT,PanasonicUF-7100,Blocked,NoSubKey
DeleteRegistry004=HKEY_LOCAL_MACHINE,SYSTEM\CurrentControlSet\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry005=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey
DeleteRegistry006=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Control\Print\Environments\Windows x64\Drivers\Version-3,Panasonic UF-7100 Ver. 2 PCL6,UnBlocked,NoSubKey

DeleteUserRegistry001=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet001\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry002=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet002\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey
DeleteUserRegistry003=HKEY_LOCAL_MACHINE,SYSTEM\ControlSet\Hardware Profiles\Current\System\CurrentControlSet\Control\Print\Printers,[PRINTER_NAME],UnBlocked,NoSubKey

InhibitedDriver001=Panasonic UF-7100 Ver. 2 PCL6
